import db from "../../plugins/db";

const state = {
  user: {},
  curSubject: {},
  scanArea: {},
  scanNo: 0, // 已采集数量（当天登录）
  uploadNo: 0, // 已上传数量（当天登录）,
  showToLoginModel: false
};

const mutations = {
  setShowToLoginModel(state, showToLoginModel) {
    state.showToLoginModel = showToLoginModel;
  },
  setCurSubject(state, curSubject) {
    state.curSubject = curSubject;
  },
  setScanArea(state, scanArea) {
    state.scanArea = scanArea;
  },
  setScanNo(state, scanNo) {
    state.scanNo = scanNo;
  },
  setUploadNo(state, uploadNo) {
    state.uploadNo = uploadNo;
  }
};

const actions = {
  setCurSubject({ state, commit }, curSubject) {
    const scanArea = Object.assign({}, state.scanArea, {
      [curSubject.id]: curSubject
    });
    commit("setCurSubject", curSubject);
    commit("setScanArea", scanArea);
    db.setDict("scanArea", JSON.stringify(scanArea));
  }
};

export default {
  namespaced: true,
  state,
  mutations,
  actions
};
